Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xpath.compiler
Class FunctionTable

    java.lang.Object
      |
      +--weblogic.apache.xpath.compiler.FunctionTable

public class FunctionTable
extends java.lang.Object

The function table for XPath.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Field Summary
`static int` | `FUNC_BOOLEAN` The 'boolean()' id.
`static int` | `FUNC_CEILING` The 'ceiling()' id.
`static int` | `FUNC_CONCAT` The 'concat()' id.
`static int` | `FUNC_CONTAINS` The 'contains()' id.
`static int` | `FUNC_COUNT` The 'count()' id.
`static int` | `FUNC_CURRENT` The 'current()' id.
`static int` | `FUNC_DOCLOCATION` The 'document-location()' id (Proprietary).
`static int` | `FUNC_EXT_ELEM_AVAILABLE` The 'element-available()' id (XSLT).
`static int` | `FUNC_EXT_FUNCTION_AVAILABLE` The 'function-available()' id (XSLT).
`static int` | `FUNC_FALSE` The 'false()' id.
`static int` | `FUNC_FLOOR` The 'floor()' id.
`static int` | `FUNC_GENERATE_ID` The 'generate-id()' id.
`static int` | `FUNC_ID` The 'id()' id.
`static int` | `FUNC_KEY` The 'key()' id (XSLT).
`static int` | `FUNC_LANG` The 'lang()' id.
`static int` | `FUNC_LAST` The 'last()' id.
`static int` | `FUNC_LOCAL_PART` The 'local-name()' id.
`static int` | `FUNC_NAMESPACE` The 'namespace-uri()' id.
`static int` | `FUNC_NORMALIZE_SPACE` The 'normalize-space()' id.
`static int` | `FUNC_NOT` The 'not()' id.
`static int` | `FUNC_NUMBER` The 'number()' id.
`static int` | `FUNC_POSITION` The 'position()' id.
`static int` | `FUNC_QNAME` The 'name()' id.
`static int` | `FUNC_ROUND` The 'round()' id.
`static int` | `FUNC_STARTS_WITH` The 'starts-with()' id.
`static int` | `FUNC_STRING` The 'string()' id.
`static int` | `FUNC_STRING_LENGTH` The 'string-length()' id.
`static int` | `FUNC_SUBSTRING` The 'substring()' id.
`static int` | `FUNC_SUBSTRING_AFTER` The 'substring-after()' id.
`static int` | `FUNC_SUBSTRING_BEFORE` The 'substring-before()' id.
`static int` | `FUNC_SUM` The 'sum()' id.
`static int` | `FUNC_SYSTEM_PROPERTY` The 'system-property()' id.
`static int` | `FUNC_TRANSLATE` The 'translate()' id.
`static int` | `FUNC_TRUE` The 'true()' id.
`static int` | `FUNC_UNPARSED_ENTITY_URI` The 'unparsed-entity-uri()' id (XSLT).
`static FuncLoader[]` | `m_functions` The function table.

Constructor Summary
`FunctionTable()`

Method Summary
`static Function` | `getFunction(int which)` Obtain a new Function object from a function ID.
`static void` | `installFunction(Expression func, int funcIndex)` Install a function loader at a specific index.
`static int` | `installFunction(java.lang.String name, Expression func)` Install a built-in function.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FUNC_CURRENT

    public static final int FUNC_CURRENT

  The 'current()' id.

### FUNC_LAST

    public static final int FUNC_LAST

  The 'last()' id.

### FUNC_POSITION

    public static final int FUNC_POSITION

  The 'position()' id.

### FUNC_COUNT

    public static final int FUNC_COUNT

  The 'count()' id.

### FUNC_ID

    public static final int FUNC_ID

  The 'id()' id.

### FUNC_KEY

    public static final int FUNC_KEY

  The 'key()' id (XSLT).

### FUNC_LOCAL_PART

    public static final int FUNC_LOCAL_PART

  The 'local-name()' id.

### FUNC_NAMESPACE

    public static final int FUNC_NAMESPACE

  The 'namespace-uri()' id.

### FUNC_QNAME

    public static final int FUNC_QNAME

  The 'name()' id.

### FUNC_GENERATE_ID

    public static final int FUNC_GENERATE_ID

  The 'generate-id()' id.

### FUNC_NOT

    public static final int FUNC_NOT

  The 'not()' id.

### FUNC_TRUE

    public static final int FUNC_TRUE

  The 'true()' id.

### FUNC_FALSE

    public static final int FUNC_FALSE

  The 'false()' id.

### FUNC_BOOLEAN

    public static final int FUNC_BOOLEAN

  The 'boolean()' id.

### FUNC_NUMBER

    public static final int FUNC_NUMBER

  The 'number()' id.

### FUNC_FLOOR

    public static final int FUNC_FLOOR

  The 'floor()' id.

### FUNC_CEILING

    public static final int FUNC_CEILING

  The 'ceiling()' id.

### FUNC_ROUND

    public static final int FUNC_ROUND

  The 'round()' id.

### FUNC_SUM

    public static final int FUNC_SUM

  The 'sum()' id.

### FUNC_STRING

    public static final int FUNC_STRING

  The 'string()' id.

### FUNC_STARTS_WITH

    public static final int FUNC_STARTS_WITH

  The 'starts-with()' id.

### FUNC_CONTAINS

    public static final int FUNC_CONTAINS

  The 'contains()' id.

### FUNC_SUBSTRING_BEFORE

    public static final int FUNC_SUBSTRING_BEFORE

  The 'substring-before()' id.

### FUNC_SUBSTRING_AFTER

    public static final int FUNC_SUBSTRING_AFTER

  The 'substring-after()' id.

### FUNC_NORMALIZE_SPACE

    public static final int FUNC_NORMALIZE_SPACE

  The 'normalize-space()' id.

### FUNC_TRANSLATE

    public static final int FUNC_TRANSLATE

  The 'translate()' id.

### FUNC_CONCAT

    public static final int FUNC_CONCAT

  The 'concat()' id.

### FUNC_SUBSTRING

    public static final int FUNC_SUBSTRING

  The 'substring()' id.

### FUNC_STRING_LENGTH

    public static final int FUNC_STRING_LENGTH

  The 'string-length()' id.

### FUNC_SYSTEM_PROPERTY

    public static final int FUNC_SYSTEM_PROPERTY

  The 'system-property()' id.

### FUNC_LANG

    public static final int FUNC_LANG

  The 'lang()' id.

### FUNC_EXT_FUNCTION_AVAILABLE

    public static final int FUNC_EXT_FUNCTION_AVAILABLE

  The 'function-available()' id (XSLT).

### FUNC_EXT_ELEM_AVAILABLE

    public static final int FUNC_EXT_ELEM_AVAILABLE

  The 'element-available()' id (XSLT).

### FUNC_UNPARSED_ENTITY_URI

    public static final int FUNC_UNPARSED_ENTITY_URI

  The 'unparsed-entity-uri()' id (XSLT).

### FUNC_DOCLOCATION

    public static final int FUNC_DOCLOCATION

  The 'document-location()' id (Proprietary).

### m_functions

    public static FuncLoader[] m_functions

  The function table.

Constructor Detail

### FunctionTable

    public FunctionTable()

Method Detail

### getFunction

    public static Function getFunction(int which)
                                throws javax.xml.transform.TransformerException

  Obtain a new Function object from a function ID.

  Parameters:
    `which` - The function ID, which may correspond to one of the FUNC_XXX values found in `FunctionTable`, but may be a value installed by an external module.
  Returns:
    a a new Function instance.
  Throws:
    javax.xml.transform.TransformerException - if ClassNotFoundException, IllegalAccessException, or InstantiationException is thrown.

### installFunction

    public static int installFunction(java.lang.String name,
                                      Expression func)

  Install a built-in function.

  Parameters:
    `name` - The unqualified name of the function.
    `func` - A Implementation of an XPath Function object.
  Returns:
    the position of the function in the internal index.

### installFunction

    public static void installFunction(Expression func,
                                       int funcIndex)

  Install a function loader at a specific index.

  Parameters:
    `func` - A Implementation of an XPath Function object.
    `which` - The function ID, which may correspond to one of the FUNC_XXX values found in `FunctionTable`, but may be a value installed by an external module.
  Returns:
    the position of the function in the internal index.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference